indexing

	description: "Describes element type EMPTY"


class

	DEFINED_ELEMENT_EMPTY


inherit

	DEFINED_ELEMENT


creation

	make,
	make_ns


feature

	is_valid_child (state: ELEMENT_STATE;
						 child: DEFINED_ELEMENT): BOOLEAN is
		do
			-- no children allowed
			Result := False
		end

	is_valid_end (state: ELEMENT_STATE): BOOLEAN is
		do
			Result := True
		end

	is_data_allowed: BOOLEAN is
		do
			-- no data allowed
			Result := False
		end

	is_valid_data (data: STRING): BOOLEAN is
		do
			-- no data allowed
			Result := False
		end


end
